# Red Eclipse 2
* A modern first-person arena shooter; released as free and open source software
* Available for Windows, GNU/Linux, BSD, and macOS
* Features parkour gameplay, such as impulse boosts, dashing, and other tricks
* Favourite gamemodes with an array of mutators and variables
* A built-in editor lets you create your own release-quality maps cooperatively online
* Download for free at https://redeclipse.net/

## About

Building on over 12 years of gameplay design and the lessons learned from Red Eclipse 1.x, Red Eclipse 2 focuses on agile, easily accessible arena shooter gameplay over adherence to antiquated arena shooter tropes. For creators, the full power of the [Tesseract](http://tesseract.gg/) engine is at your fingertips in the included realtime multiplayer editor.

The project is a free and open source game built using SDL and OpenGL which allows it to be ported to many platforms; you can [download a package](https://redeclipse.net/download) for Windows, GNU/Linux, BSD, and macOS; or grab a development copy from our [Git repository](https://redeclipse.net/devel) and live on the bleeding edge.

In a true open source by the people for the people nature, we try to work closely with the gaming and open source communities to provide a better overall experience, aiming to create a game environment that is fun and easy to play, while still having elements to master.

If you think you might have something to contribute to the game or community, please feel free to drop by our [Discord server](https://redeclipse.net/chat) or [forums](https://redeclipse.net/forums) and talk to us directly. We try to maintain a standard of friendly behaviour in our community, so don't be afraid to speak up and have your say in building this game for us all! :)

## Distribution
This game is primarily distributed via Steam. For the most bleeding-edge version of the game, or for those who are unable to get a Steam account, it is possible to compile the game from source, following the guide at https://www.redeclipse.net/docs/Install-Guide.

## Get Involved
You're encouraged to help the project by joining in with the rest of the community to make a better project! You can do this by participating in our Community, using the development version and reporting any issues, ideas, suggestions or comments you may have.

The main chat access is via Discord in on our [server](https://redeclipse.net/chat); if you don't have a Discord account you can use the IRC relay on Freenode: channel `#redeclipse` on `irc.freenode.net`. You can use these services to talk directly to the Red Eclipse developers, contributors, and supporters; whether you just want to have a chat, report a problem, or make a suggestion, this is the best place to do it.

## Open Source
The project is Free and Open Source, meaning that you can both use it for free and be a part of it by contributing in whatever way you can. These are the people who have helped shape Red Eclipse into what you see today. They are regular people just like you who volunteer their time or donate in the spirit of making a really cool game. Your name could be down here, too!

### Founders
* Quinton "Quin" Reeves - Lead Developer - YouTube channel @ https://youtube.com/qreeves
    - Gameplay and AI Design, Community Management

* Lee "Eihrul" Salzman - Lead Programmer - Check out Tesseract @ http://tesseract.gg/
    - Engine Designer, Programming Support (there'd be no game without this guy!)

### Contributors, Developers and Supporters
* Adam "lycanfox" Hobson
* Alex "molexted" Foster - Maps/Balance Lead and CubeScript
* Alex "ZeroKnight" George - Design/Testing, Support
* Anup "DOS_WARRIOR" Debnath
* Cameron "Rhubarb" Dawdy
* Christopher "Dratz-_C" Dratz
* Christopher "paroneayea" Webber
* Corey "c0rdawg" Maher
* Dale "graphitemaster" Weiler - Check out Neothyne @ https://neothyne.org/
* Daniel "Imerion" Eriksson
* David "srbs" Forrest
* Erika "Favorito" Anderson - Maps, Textures, Design/Testing
* Derek "JoJo" Stegall - Maps, Models, Textures, HUD, Sound FX, Design/Testing
* Eddie "skedz4u" Webb
* Henrik "ahven" Pihl
* Isaac "Zelec" Towns
* Jacinta "cinta" Hall - Design/Testing, Support, and making babies.
* Jeff "Architect" Cope - Design/Testing
* Jeroen "appleflap" Boukens - Textures, Design/Testing
* Jonathan "Ulukai" De Nil - Maps, Testing, Support
* Jonathan "W!ck3d" Roels - Maps, Textures, Design/Testing
* Joseph "ballist1c" Calabria - Maps
* Joshua "JDWhyte" Dwight
* Joshua L. "Verbalshadow" Blocher - Some source artwork, Design/Testing
* Kevin "Hirato" Meyer - Development Assistance, Design/Testing
* Kirill "TristamK" Kolesnikov - Maps
* Kurt "Kurtis84" Kessler - Textures
* Ludwig "Sniper-goth" Boscolo - Mapmodels and Maps
* Luke "syreal" Jones
* Mark "xtort-" Doodeman
* Martin "arand" Werner - Documentation, Legal Drafting, Cross-Dist Support, Open Source Checks, and much more.
* Matt "greaserpirate" Kalt - Maps
* Maxim "Acerspyro" Therrien - UI elements, Maps, Models, CubeScript, Support
* Mike "mikeplus64" Ledger - Maps, Models, Weapons, Textures, HUD, Design/Testing
* Mikhail "Agustis" Kashin
* Nick "Fatal_Glory" Watts
* Petri Lukkarinen
* Radek "Dziq" Jędrecki - Models and Textures
* Ricky "unixfreak" Thomson - Maps
* Riidom Li - Models
* Rob "Lloir" Shannon
* Robert "Homicidal" Crane - Parkour design, and the concept of the big blue ball of death.
* Robert Winkler
* Ryan "icculus" Gordon / icculus.org - SDL, which we all love, as well as hosting!
* Ryan Rigby
* Rémi "LuckystrikeRx" Clouet d'Orval - Maps, Textures, Models, Weapons, Design/Testing, Website
* Scott Baker
* Sergey "swooboo" Altshuller
* Slawek "VibrantWave" Blauciak - Ambient Sounds
* Stefan Norman and Peter McInerney - Supporting us from the very beginning
* Sébastien "sinma" Chauvel
* Taiyo Rawle
* Vadim Peretokin
* Viktor "Unnamed" Hahn - Maps, Models, and other improvements
* Wayne Bennett - Design/Testing
* Zachery "freezurbern" Slocum - Skyboxes
* "Gaming Tilt"
* "4rson" - Maps and Support
* "Beha" - Stats system, appimage builds, bug fixes and other improvements
* "Bobbo" - Bug fixes and other improvements
* "bonifarz"
* "Boognish" - Maps
* "CD Xbow" - Supporter and dreamer, he saw the potential in everything.
* "D.a.M.i.E.n" - Maps and Textures
* "FaTony" - Maps
* "fbt"
* "FearFighter"
* "Fleeky" - Models
* "fluxord" - Crosshairs
* "Furor"
* "Iceflower" - Icons
* "John_III" - Maps and Models
* "Korsi" - Maps
* "littlebabyjesus"
* "nemurati"
* "Raiden" - Maps
* "RaZgRiZ" - Textures and Cubescript maintenance
* "TheAssassin" - Web stuff, privacy and bug fixes and other improvements
* "TheLastProject" - Design, Testing and Support
* "w00p|dazza"
